com.jscape.inet.gateway.operation.web

## Class WebServiceConfiguration

- java.lang.Object
- - com.jscape.inet.gateway.operation.web.WebServiceConfiguration

-     public class WebServiceConfiguration
      extends java.lang.Object

  Author:
    Alex Usun

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebServiceConfiguration()`
    `WebServiceConfiguration(TransportAddress httpAddress, boolean httpEnabled, TransportAddress httpsAddress, boolean httpsEnabled, java.lang.String httpsKeyAlias, long sessionTimeoutMillis, boolean fipsModeRequired, int version)`
    `WebServiceConfiguration(WebServiceConfiguration that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransportAddress` | `getHttpAddress()`
    `TransportAddress` | `getHttpsAddress()`
    `java.lang.String` | `getHttpsKeyAlias()`
    `long` | `getSessionTimeoutMillis()`
    `int` | `getVersion()`
    `boolean` | `isFipsModeRequired()`
    `boolean` | `isHttpEnabled()`
    `boolean` | `isHttpsEnabled()`
    `void` | `setFipsModeRequired(boolean value)`
    `void` | `setHttpAddress(TransportAddress value)`
    `void` | `setHttpEnabled(boolean value)`
    `void` | `setHttpsAddress(TransportAddress value)`
    `void` | `setHttpsEnabled(boolean value)`
    `void` | `setHttpsKeyAlias(java.lang.String value)`
    `void` | `setSessionTimeoutMillis(long value)`
    `void` | `setVersion(int value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WebServiceConfiguration

          public WebServiceConfiguration(TransportAddress httpAddress,
                                         boolean httpEnabled,
                                         TransportAddress httpsAddress,
                                         boolean httpsEnabled,
                                         java.lang.String httpsKeyAlias,
                                         long sessionTimeoutMillis,
                                         boolean fipsModeRequired,
                                         int version)

    - #### WebServiceConfiguration

          public WebServiceConfiguration(WebServiceConfiguration that)

    - #### WebServiceConfiguration

          public WebServiceConfiguration()

  - ### Method Detail

    - #### getHttpAddress

          public TransportAddress getHttpAddress()

    - #### setHttpAddress

          public void setHttpAddress(TransportAddress value)

    - #### isHttpEnabled

          public boolean isHttpEnabled()

    - #### setHttpEnabled

          public void setHttpEnabled(boolean value)

    - #### getHttpsAddress

          public TransportAddress getHttpsAddress()

    - #### setHttpsAddress

          public void setHttpsAddress(TransportAddress value)

    - #### isHttpsEnabled

          public boolean isHttpsEnabled()

    - #### setHttpsEnabled

          public void setHttpsEnabled(boolean value)

    - #### getHttpsKeyAlias

          public java.lang.String getHttpsKeyAlias()

    - #### setHttpsKeyAlias

          public void setHttpsKeyAlias(java.lang.String value)

    - #### getSessionTimeoutMillis

          public long getSessionTimeoutMillis()

    - #### setSessionTimeoutMillis

          public void setSessionTimeoutMillis(long value)

    - #### isFipsModeRequired

          public boolean isFipsModeRequired()

    - #### setFipsModeRequired

          public void setFipsModeRequired(boolean value)

    - #### getVersion

          public int getVersion()

    - #### setVersion

          public void setVersion(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 2009-2021. All Rights Reserved